/*
Theme Name: Dustrix Child
Template:     dustrix
Author: Modina Theme
Author URI: https://themeforest.net/user/modinatheme/
Theme URI: https://codexpeed.com/dustrix/
Description: Construction & Industry WordPress Theme
Version: 1.2.0
Text Domain: dustrix-child
*/

:root,
body {
    --color-white: var(--e-global-color-f5ffe1b, #ffffff);
    --color-green: var(--e-global-color-accent, #5B7140);
    --color-brown: var(--e-global-color-primary, #4E3B2C);
    /* Heading and Text color */
    --color-deep-black: var(--e-global-color-text, #2B2B2B);
    
    /* Warm backgrounds */
    --color-warm: var(--e-global-color-secondary, #D2B48C);

}

.logo img{
    max-width: 120px;
}
.header-1.sticky .logo img{
    max-width: 90px;
}
.header-1{
    padding: 15px 0;
}
header.header-1 .main-menu ul > li > ul{
    width: 238px;
}
header a.theme-btn{
    font-size: 15px;
    text-transform: uppercase;
}
.services-lists .elementor-widget-image a{
    display: block;
}
header.header-1 .main-menu ul > li > ul li a:hover{
    background: var(--color-white);
}
header.header-1 .main-menu ul > li:hover > a{
    color: var(--color-green);
}
.header-1 .header-right-element{
    margin-left: 40px;
}
.theme-btn{
    letter-spacing: 0.4px;
    background-color: var(--color-green);
    border: none !important;
}
.theme-btn:hover{
    background-color: var(--color-brown);
    border: 2px solid var(--color-brown);
}
.theme-btn.black{
    background-color: var(--color-brown);
    border: 2px solid var(--color-brown);
}
.theme-btn.black:hover{
    background-color: var(--color-green);
    border: 2px solid var(--color-green);
}
.hero-slide-wrapper .theme-btn.black{
    background-color: var(--color-white);
    color: var(--color-deep-black);
}
.hero-slide-wrapper .theme-btn:hover{
    background-color: var(--color-white);
     color: var(--color-deep-black);
}
.hero-slide-wrapper .theme-btn.black:hover{
    background-color: var(--color-green);
    color:var(--color-white);
}
.hero-1 .single-slide .hero-contents h3:before{
    background: rgba(210, 180, 140, 0.4);
}
.hero-slider-active.owl-theme .owl-nav div:hover{
    background-color: var(--color-green);
    border-color:var(--color-green);
}
header.header-1 .main-menu ul > li > a{
    color:var(--color-brown);
    font-size: 17px;
}
header.header-1 .main-menu ul > li > a:hover{
    color:var(--color-green);
}
header.header-1 .main-menu ul > li > ul{
    background-color:var(--color-brown);
}
header.header-1 .main-menu ul > li > ul li a:hover,
header.header-1 .main-menu ul > li:hover > ul li:hover > a{
    color:var(--color-green);
}
.top-bar-wrapper .top-left a:hover,.top-bar-wrapper .social-pages a:hover{
    color: var(--color-warm);
}
#scrollUp{
    background-color: var(--color-green);
}
#scrollUp:hover{
    background-color: var(--color-warm);
}
.elementor-widget-text-editor p:last-child {
    margin-bottom: 0px;
}
.owl-carousel .animated-text{
	opacity:1;
	visibility:visible;
}
.owl-theme .owl-dots .owl-dot.active span{
    background:var(--color-green);
}
.hero-slider-active .owl-dots{
    display: none;
}
.elementor-image-gallery .gallery-item{
    aspect-ratio: 3 / 2;
     cursor: pointer;
}
.elementor-image-gallery .gallery-icon{
    height: 100%;
}
.elementor-image-gallery .gallery-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    padding: 3px;
}
.elementor-image-gallery .gallery-icon img {
    transition: transform 0.45s ease;
    cursor: pointer;
}
.elementor-image-gallery .gallery-item:hover img:hover {
    transform: scale(1.01);
}
.footer-top .hfe-nav-menu .menu-toggle.sub-arrow,.hfe-menu-toggle.sub-arrow.hfe-menu-child-0{
    display: none !important;
}
.footer-top .hfe-nav-menu li.menu-item a{
    padding-left: 0 !important;
}
.hero-1 .single-slide:before{
    background:rgba(78, 59, 44, 0.6);
}
.top-bar-wrapper .white-link{
    color: #fff;
    margin-right: 30px;
    font-size: 15px;
}
.top-bar-wrapper .white-link i{
    color: #ffd039;
    padding-right: 8px;
}
.block_spacing_zero .elementor-heading-title{
    margin-block-end: 0;
}
.gform-body .gfield .ginput_container input,.gform-body .gfield .ginput_container .textarea{
    width: 100%;
    background: #f8f8f8;
    line-height: 1;
    padding: 25px 20px;
    border: 0px;
    color: #00235a;
    font-size: 16px;
}
.gform-body .gfield .gfield_label.gform-field-label{
     font-size: 18px;
}
.gform-body .gfield .ginput_container input::placeholder,
.gform-body .gfield .ginput_container textarea::placeholder {
    color: rgba(0, 35, 90, 0.4); /* light placeholder */
    font-size: 16px !important;
}
.gform-body .gfield .ginput_container input:focus,
.gform-body .gfield .ginput_container textarea:focus {
    outline: none;
}
body .gform_wrapper .gform_validation_errors,
.gform-body .gfield .ginput_container.ginput_container_textarea .gfield_description{
    display: none;
}
.gform_wrapper .gform-footer .gform_button.button{
    background: var(--color-green) !important;
    color: #fff !important;
    font-weight: 700 !important;
    line-height: 1 !important;
    padding: 25px 40px !important;
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    width: 280px !important;
    font-size: 16px !important;
}
.gform_wrapper .gform-footer .gform_button.button:hover{
    background:var(--color-brown) !important;
}
.gform_wrapper .gform-footer{
    justify-content: center;
}
.gform_confirmation_wrapper .gform_confirmation_message{
    color: #155724;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
}
.call-to-action .elementor-widget-text-editor a{
    color:var(--color-warm);
    font-size: 18px;
}
.section-title-2 p{
    color: var(--color-brown);
}
.services-slider .swiper-slide-inner img{
    width: 100%;
    object-fit: cover;
}
.top-bar-wrapper{
    background-color: var(--e-global-color-text);
}
.mobile-nav{
    background-color:var(--color-brown);
}
body .mobile-nav .theme-btn{
    background: var(--color-white) !important;
    color: var(--color-deep-black) !important;
}
#hamburger{
    color: var(--color-brown);
}
.elementor-widget-text-editor ul li{
    list-style: initial;
}
.mobile-nav .sidebar-nav .metismenu a:hover, .mobile-nav .sidebar-nav .metismenu a:focus, .mobile-nav .sidebar-nav .metismenu a:active{
    background: var(--color-green) !important;
}
footer .hfe-nav-menu li {
  margin: 0 !important;
  padding: 0 !important;
}
footer .hfe-nav-menu li a {
  line-height: 1.2 !important;
}
footer .footer-width-fixer .sub-menu{
    display: none !important;
}
body a{
	cursor:pointer;
}



@media (max-width: 991px) {
    .hero-slider-active.owl-theme .owl-nav div{
        opacity: 1 !important;
        visibility: visible !important;
    }
    .single-info-element .text h5{
        margin-top: 0px;
    }
    .mobile-nav .close-nav{
        left: auto;
        top: 0px;
        right: 0;
    }
    .mobile-nav-wrap .mobile-nav .close-nav:hover{
        background-color: transparent !important;
    }
    .action-bar .single-info-element .icon{
        min-width: 30px;
    }
}
@media (max-width: 767px) {
    .owl-carousel .animated-text{
        -webkit-transform:initial;
        transform:initial;
    }
    .hero-slider-active.owl-theme .owl-nav div{
        opacity: 1 !important;
        visibility: visible !important;
    }
    .hero-1 .single-slide{
        padding: 100px 50px 80px;
    }
    .hero-slider-active.owl-theme .owl-nav div{
        left: 10px;
    }
    .hero-slider-active.owl-theme .owl-nav div.owl-next{
        right: 10px;
    }
    .hero-1 .single-slide .hero-contents a{
        margin-top: 20px;
    }
    .hero-slider-active.owl-theme .owl-nav div{
        display: none;
    }
    .hero-slider-active .owl-dots{
        display: block;
    }
    .hero-slider-active .owl-dots{
        bottom: 15px;
    }
    .logo img{
        max-width: 100px;
    }
}

